:root {
    --menuwidth: 220px;
}

*, *::before, *::after {
    box-sizing: border-box;
}

html {
    font-family: sans-serif;
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    -ms-overflow-style: scrollbar;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

html, body, app-root, app-layout {
    margin: 0;
    padding: 0;
    border: 0;
    height: 100%;
    max-height: 100%;
    min-height: 100%;
}

.app-body {
    max-height: calc(100% - 45px);
    height: calc(100% - 45px);
}

@-ms-viewport {
    width: device-width;
}

article, aside, figcaption, figure, footer, header, hgroup, main, nav, section {
    display: block;
}

body {
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.5;
    color: #23282c;
    text-align: left;
    background-color: #e4e5e6;
}

[tabindex="-1"]:focus {
    outline: 0 !important;
}

.pre-scrollable {
    max-height: 340px;
    overflow-y: scroll;
}

.ps {
    overflow: hidden !important;
    -ms-touch-action: auto;
    touch-action: auto;
    -ms-overflow-style: none;
    overflow-anchor: none;
}

.ps__rail-x {
    position: absolute;
    bottom: 0;
    display: none;
    height: 15px;
    opacity: 0;
    transition: background-color .2s linear, opacity .2s linear;
}

.ps__rail-y {
    position: absolute;
    right: 0;
    display: none;
    width: 15px;
    opacity: 0;
    transition: background-color .2s linear, opacity .2s linear;
}

.ps--active-x>.ps__rail-x, .ps--active-y>.ps__rail-y {
    display: block;
    background-color: transparent;
}

.ps:hover>.ps__rail-x, .ps:hover>.ps__rail-y, .ps--focus>.ps__rail-x, .ps--focus>.ps__rail-y, .ps--scrolling-x>.ps__rail-x, .ps--scrolling-y>.ps__rail-y {
    opacity: .6;
}

.ps__rail-x:hover, .ps__rail-y:hover, .ps__rail-x:focus, .ps__rail-y:focus {
    background-color: #eee;
    opacity: .9;
}

/*
 * Scrollbar thumb styles
 */

.ps__thumb-x {
    position: absolute;
    bottom: 2px;
    height: 6px;
    background-color: #aaa;
    border-radius: 6px;
    transition: background-color .2s linear, height .2s ease-in-out;
}

.ps__thumb-y {
    position: absolute;
    right: 2px;
    width: 6px;
    background-color: #aaa;
    border-radius: 6px;
    transition: background-color .2s linear, width .2s ease-in-out;
}

.ps__rail-x:hover>.ps__thumb-x, .ps__rail-x:focus>.ps__thumb-x {
    height: 11px;
    background-color: #999;
}

.ps__rail-y:hover>.ps__thumb-y, .ps__rail-y:focus>.ps__thumb-y {
    width: 11px;
    background-color: #999;
}

@supports (-ms-overflow-style: none) {
    .ps {
        overflow: auto !important;
    }
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    .ps {
        overflow: auto !important;
    }
}

.aside-menu {
    z-index: 1019;
    width: 250px;
    color: #2f353a;
    background: #fff;
    border-left: 1px solid #c8ced3;
}

.aside-menu .nav-tabs {
    border-color: #c8ced3;
}

.aside-menu .nav-tabs .nav-link {
    padding: 0.75rem 1rem;
    color: #23282c;
    border-top: 0;
    border-radius: 0;
}

.aside-menu .nav-tabs .nav-link.active {
    color: #20a8d8;
    border-right-color: #c8ced3;
    border-left-color: #c8ced3;
}

.aside-menu .nav-tabs .nav-item:first-child .nav-link {
    border-left: 0;
}

.aside-menu .tab-content {
    position: relative;
    overflow-x: hidden;
    overflow-y: auto;
    border: 0;
    border-top: 1px solid #c8ced3;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}

.aside-menu .tab-content::-webkit-scrollbar {
    width: 10px;
    margin-left: -10px;
    -webkit-appearance: none;
    appearance: none;
}

.aside-menu .tab-content::-webkit-scrollbar-track {
    background-color: white;
    border-right: 1px solid #f2f2f2;
    border-left: 1px solid #f2f2f2;
}

.aside-menu .tab-content::-webkit-scrollbar-thumb {
    height: 50px;
    background-color: #e6e6e6;
    background-clip: content-box;
    border-color: transparent;
    border-style: solid;
    border-width: 1px 2px;
}

.aside-menu .tab-content .tab-pane {
    padding: 0;
}

.breadcrumb-menu {
    margin-left: auto;
}

.breadcrumb-menu::before {
    display: none;
}

.breadcrumb-menu .btn-group {
    vertical-align: top;
}

.breadcrumb-menu .btn {
    padding: 0 0.75rem;
    color: #73818f;
    vertical-align: top;
    border: 0;
}

.breadcrumb-menu .btn:hover, .breadcrumb-menu .btn.active {
    color: #23282c;
    background: transparent;
}

.breadcrumb-menu .open .btn {
    color: #23282c;
    background: transparent;
}

.breadcrumb-menu .dropdown-menu {
    min-width: 180px;
    line-height: 1.5;
}

.breadcrumb {
    position: relative;
    border-radius: 0;
    border-bottom: 1px solid #c8ced3;
}

.app-header .navbar-nav .dropdown-menu {
    position: absolute;
}

.app-header .navbar-nav .dropdown-menu-right {
    right: 0;
    left: auto;
}

.app-header .navbar-nav .dropdown-menu-left {
    right: auto;
    left: 0;
}

.app-footer {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    padding: 0 1rem;
    color: #23282c;
    background: #f0f3f5;
    border-top: 1px solid #c8ced3;
}

.row.row-equal {
    padding-right: 7.5px;
    padding-left: 7.5px;
    margin-right: -15px;
    margin-left: -15px;
}

.row.row-equal [class*="col-"] {
    padding-right: 7.5px;
    padding-left: 7.5px;
}

.main .container-fluid {
    padding: 0;
    min-height: calc(100% - 32px);
    height: calc(100% - 32px);
}

.app-header {
    position: relative;
    -ms-flex-direction: row;
    flex-direction: row;
    height: 45px;
    padding: 0;
    margin: 0;
    background-color: #fff;
    border-bottom: 1px solid #c8ced3;
    z-index: 99;
}

.app-header .navbar-brand {
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 155px;
    height: 45px;
    padding: 0;
    margin-right: 0;
    background-color: transparent;
    min-width: 100px;
}

.app-header .navbar-brand .navbar-brand-minimized {
    display: none;
}

.app-header .navbar-toggler {
    min-width: 50px;
    padding: 0.25rem 0;
}

.app-header .navbar-toggler:hover .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='%232f353a' stroke-width='2.25' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

.app-header .navbar-toggler-icon {
    height: 23px;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='%2373818f' stroke-width='2.25' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

.app-header .navbar-nav {
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-align: center;
    align-items: center;
}

.app-header .nav-item {
    position: relative;
    min-width: 50px;
    margin: 0;
    text-align: center;
}

.app-header .nav-item button {
    margin: 0 auto;
}

.app-header .nav-item .nav-link {
    padding-top: 0;
    padding-bottom: 0;
    background: 0;
    border: 0;
}

.app-header .nav-item .nav-link .badge {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -16px;
    margin-left: 0;
}

.app-header .nav-item .nav-link>.img-avatar, .app-header .nav-item .avatar.nav-link>img {
    height: 35px;
    margin: 0 10px;
}

.app-header .dropdown-menu {
    padding-bottom: 0;
    line-height: 1.5;
}

.app-header .dropdown-item {
    min-width: 180px;
}

.navbar-nav .nav-link {
    color: #73818f;
}

.navbar-nav .nav-link:hover, .navbar-nav .nav-link:focus {
    color: #2f353a;
}

.navbar-nav .open>.nav-link, .navbar-nav .open>.nav-link:hover, .navbar-nav .open>.nav-link:focus, .navbar-nav .active>.nav-link, .navbar-nav .active>.nav-link:hover, .navbar-nav .active>.nav-link:focus, .navbar-nav .nav-link.open, .navbar-nav .nav-link.open:hover, .navbar-nav .nav-link.open:focus, .navbar-nav .nav-link.active, .navbar-nav .nav-link.active:hover, .navbar-nav .nav-link.active:focus {
    color: #2f353a;
}

.navbar-divider {
    background-color: rgba(0, 0, 0, 0.075);
}

@media (min-width: 992px) {
    .brand-minimized .app-header .navbar-brand {
        width: 50px;
        background-color: transparent;
    }
    .brand-minimized .app-header .navbar-brand .navbar-brand-full {
        display: none;
    }
    .brand-minimized .app-header .navbar-brand .navbar-brand-minimized {
        display: block;
    }
}

.input-group-prepend, .input-group-append {
    white-space: nowrap;
    vertical-align: middle;
}

.img-avatar, .avatar>img, .img-circle {
    max-width: 100%;
    height: auto;
    border-radius: 50em;
}

.sidebar {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: 0;
    color: #fff;
    background: #2f353a;
}

.sidebar .sidebar-close {
    position: absolute;
    right: 0;
    display: none;
    padding: 0 1rem;
    font-size: 24px;
    font-weight: 800;
    line-height: 55px;
    color: #fff;
    background: 0;
    border: 0;
    opacity: .8;
}

.sidebar .sidebar-close:hover {
    opacity: 1;
}

.sidebar .sidebar-header {
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    padding: 0.75rem 1rem;
    text-align: center;
    background: rgba(0, 0, 0, 0.2);
}

.sidebar .sidebar-form .form-control {
    color: #fff;
    background: #181b1e;
    border: 0;
}

.sidebar .sidebar-form .form-control::-webkit-input-placeholder {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .sidebar-form .form-control::-moz-placeholder {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .sidebar-form .form-control:-ms-input-placeholder {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .sidebar-form .form-control::-ms-input-placeholder {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .sidebar-form .form-control::placeholder {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar, .sidebar .sidebar-nav, .sidebar .nav {
    flex: 1;
    width: var(--menuwidth);
}

.sidebar .nav {
    -ms-flex-direction: column;
    flex-direction: column;
    min-height: 100%;
    padding: 0;
}

.sidebar .nav-title {
    padding: 0.75rem 1rem;
    font-size: 80%;
    font-weight: 700;
    color: #e4e7ea;
    text-transform: uppercase;
}

.sidebar .nav-divider {
    height: 10px;
}

.sidebar .nav-item {
    position: relative;
    margin: 0;
    transition: background .3s ease-in-out;
}

.sidebar .nav-dropdown-items {
    max-height: 0;
    padding: 0;
    margin: 0;
    overflow-y: hidden;
    transition: max-height .3s ease-in-out;
}

.sidebar .nav-dropdown-items .nav-item {
    position: relative;
    padding: 0;
    list-style: none;
}

.sidebar .nav-link {
    display: block;
    padding: 0.75rem 1rem;
    color: gray;
    text-decoration: none;
    background: transparent;
}

.sidebar .nav-link .nav-icon {
    display: inline-block;
    width: 1.09375rem;
    margin: 0 0.5rem 0 0;
    font-size: 0.875rem;
    text-align: center;
}

.sidebar .nav-link .badge {
    float: right;
    margin-top: 2px;
}

/* .sidebar .nav-link:hover.nav-dropdown-toggle::before {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 11 14'%3E%3Cpath fill='%23fff' d='M9.148 2.352l-4.148 4.148 4.148 4.148q0.148 0.148 0.148 0.352t-0.148 0.352l-1.297 1.297q-0.148 0.148-0.352 0.148t-0.352-0.148l-5.797-5.797q-0.148-0.148-0.148-0.352t0.148-0.352l5.797-5.797q0.148-0.148 0.352-0.148t0.352 0.148l1.297 1.297q0.148 0.148 0.148 0.352t-0.148 0.352z'/%3E%3C/svg%3E");
} */

.sidebar .nav-link.nav-link-primary {
    background: #20a8d8;
}

.sidebar .nav-link.nav-link-primary .nav-icon {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .nav-link.nav-link-primary:hover {
    background: #1d97c2;
}

.sidebar .nav-link.nav-link-primary:hover i {
    color: #fff;
}

.sidebar .nav-link.nav-link-secondary {
    background: #c8ced3;
}

.sidebar .nav-link.nav-link-secondary .nav-icon {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .nav-link.nav-link-secondary:hover {
    background: #bac1c8;
}

.sidebar .nav-link.nav-link-secondary:hover i {
    color: #fff;
}

.sidebar .nav-link.nav-link-success {
    background: #4dbd74;
}

.sidebar .nav-link.nav-link-success .nav-icon {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .nav-link.nav-link-success:hover {
    background: #41af67;
}

.sidebar .nav-link.nav-link-success:hover i {
    color: #fff;
}

.sidebar .nav-link.nav-link-info {
    background: #63c2de;
}

.sidebar .nav-link.nav-link-info .nav-icon {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .nav-link.nav-link-info:hover {
    background: #4ebada;
}

.sidebar .nav-link.nav-link-info:hover i {
    color: #fff;
}

.sidebar .nav-link.nav-link-warning {
    background: #ffc107;
}

.sidebar .nav-link.nav-link-warning .nav-icon {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .nav-link.nav-link-warning:hover {
    background: #edb100;
}

.sidebar .nav-link.nav-link-warning:hover i {
    color: #fff;
}

.sidebar .nav-link.nav-link-danger {
    background: #f86c6b;
}

.sidebar .nav-link.nav-link-danger .nav-icon {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .nav-link.nav-link-danger:hover {
    background: #f75453;
}

.sidebar .nav-link.nav-link-danger:hover i {
    color: #fff;
}

.sidebar .nav-link.nav-link-light {
    background: #f0f3f5;
}

.sidebar .nav-link.nav-link-light .nav-icon {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .nav-link.nav-link-light:hover {
    background: #e1e7eb;
}

.sidebar .nav-link.nav-link-light:hover i {
    color: #fff;
}

.sidebar .nav-link.nav-link-dark {
    background: #2f353a;
}

.sidebar .nav-link.nav-link-dark .nav-icon {
    color: rgba(255, 255, 255, 0.7);
}

.sidebar .nav-link.nav-link-dark:hover {
    background: #24282c;
}

.sidebar .nav-link.nav-link-dark:hover i {
    color: #fff;
}

.sidebar .nav-dropdown-toggle {
    position: relative;
}

.sidebar .nav-dropdown-toggle::before {
    position: absolute;
    top: 50%;
    right: 1rem;
    display: block;
    width: 15px;
    height: 15px;
    padding: 0;
    margin-top: -4px;
    content: "";
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 11 14'%3E%3Cpath fill='%2373818f' d='M9.148 2.352l-4.148 4.148 4.148 4.148q0.148 0.148 0.148 0.352t-0.148 0.352l-1.297 1.297q-0.148 0.148-0.352 0.148t-0.352-0.148l-5.797-5.797q-0.148-0.148-0.148-0.352t0.148-0.352l5.797-5.797q0.148-0.148 0.352-0.148t0.352 0.148l1.297 1.297q0.148 0.148 0.148 0.352t-0.148 0.352z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center;
    transition: -webkit-transform .3s;
    transition: transform .3s;
    transition: transform .3s, -webkit-transform .3s;
}

.sidebar .nav-dropdown-toggle .badge {
    margin-right: 16px;
}

.sidebar .nav-dropdown.open {
    background: rgba(0, 0, 0, 0.2);
}

.sidebar .nav-dropdown.open>.nav-dropdown-items {
    max-height: 1500px;
}

.sidebar .nav-dropdown.open>.nav-dropdown-toggle::before {
    -webkit-transform: rotate(-90deg);
    transform: rotate(-90deg);
}

.sidebar .nav-dropdown.open .nav-dropdown.open {
    border-left: 0;
}

.sidebar .nav-label {
    display: block;
    padding: 0.09375rem 1rem;
    color: #e4e7ea;
}

.sidebar .nav-label:hover {
    color: #fff;
    text-decoration: none;
}

.sidebar .nav-label .nav-icon {
    width: 20px;
    margin: -3px 0.5rem 0 0;
    font-size: 10px;
    color: #73818f;
    text-align: center;
    vertical-align: middle;
}

.sidebar .progress {
    background-color: #515c64 !important;
}

.sidebar .sidebar-footer {
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    padding: 0.75rem 1rem;
    background: rgba(0, 0, 0, 0.2);
}

.sidebar .sidebar-minimizer {
    position: relative;
    cursor: pointer;
    background-color: #b4c1cc;
    border: 0;
    height: 40px;
    text-align: right;
    color: #0604ff;
}

.sidebar .sidebar-minimizer:focus, .sidebar .sidebar-minimizer.focus {
    outline: 0;
}

.sidebar .sidebar-minimizer:hover {
    color: #fff;
}

@media (min-width: 992px) {
    .sidebar-compact .sidebar .sidebar-nav {
        width: 150px;
    }
    .sidebar-compact .sidebar .nav {
        width: 150px;
    }
    .sidebar-compact .sidebar .d-compact-none {
        display: none;
    }
    .sidebar-compact .sidebar .nav-title {
        text-align: center;
    }
    .sidebar-compact .sidebar .nav-item {
        width: 150px;
        border-left: 0;
    }
    .sidebar-compact .sidebar .nav-link {
        text-align: center;
    }
    .sidebar-compact .sidebar .nav-link .nav-icon {
        display: block;
        width: 100%;
        margin: 0.25rem 0;
        font-size: 24px;
    }
    .sidebar-compact .sidebar .nav-link .badge {
        position: absolute;
        top: 18px;
        right: 10px;
    }
    .sidebar-compact .sidebar .nav-link.nav-dropdown-toggle::before {
        top: 30px;
    }
    .sidebar-minimized .sidebar {
        z-index: 1019;
    }
    .sidebar-minimized .sidebar .sidebar-nav {
        overflow: visible;
        width: 50px;
    }
    .sidebar-minimized .sidebar .nav {
        width: 50px;
    }
    .sidebar-minimized .sidebar .d-minimized-none, .sidebar-minimized .sidebar .nav-divider, .sidebar-minimized .sidebar .nav-label, .sidebar-minimized .sidebar .nav-title, .sidebar-minimized .sidebar .sidebar-footer, .sidebar-minimized .sidebar .sidebar-form, .sidebar-minimized .sidebar .sidebar-header {
        display: none;
    }
    .sidebar-minimized .sidebar .sidebar-minimizer {
        position: fixed;
        bottom: 0;
        width: 50px;
        height: 40px;
    }
    .sidebar-minimized .sidebar .sidebar-nav {
        padding-bottom: 50px;
    }
    .sidebar-minimized .sidebar .sidebar-minimizer::before {
        width: 100%;
        -webkit-transform: rotate(-180deg);
        transform: rotate(-180deg);
    }
    .sidebar-minimized .sidebar .nav-item {
        width: 50px;
        overflow: hidden;
    }
    .sidebar-minimized .sidebar .nav-item:hover {
        width: 250px;
        overflow: visible;
    }
    .sidebar-minimized .sidebar .nav-item:hover>.nav-link {
        background: #0604ff;
    }
    .sidebar-minimized .sidebar .nav-item:hover>.nav-link .nav-icon {
        color: #fff;
    }
    .sidebar-minimized .sidebar .nav-link {
        position: relative;
        padding-left: 0;
        margin: 0;
        white-space: nowrap;
        border-left: 0;
    }
    .sidebar-minimized .sidebar .nav-link .nav-icon {
        display: block;
        float: left;
        width: 50px;
        font-size: 18px;
    }
    .sidebar-minimized .sidebar .nav-link .badge {
        position: absolute;
        right: 15px;
        display: none;
    }
    .sidebar-minimized .sidebar .nav-link:hover {
        width: 250px;
    }
    .sidebar-minimized .sidebar .nav-link:hover .badge {
        display: inline;
    }
    .sidebar-minimized .sidebar .nav-link.nav-dropdown-toggle::before {
        display: none;
    }
    .sidebar-minimized .sidebar .nav-dropdown-items .nav-item {
        width: 200px;
    }
    .sidebar-minimized .sidebar .nav-dropdown-items .nav-item .nav-link {
        width: 200px;
    }
    .sidebar-minimized .sidebar .nav>.nav-dropdown>.nav-dropdown-items {
        display: none;
        max-height: 1000px;
        background: #2f353a;
    }
    .sidebar-minimized .sidebar .nav>.nav-dropdown:hover {
        background: #20a8d8;
    }
    .sidebar-minimized .sidebar .nav>.nav-dropdown:hover>.nav-dropdown-items {
        position: absolute;
        left: 50px;
        display: inline;
    }
}

@media all and (-ms-high-contrast: none) {
    html {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-direction: column;
        flex-direction: column;
    }
}

.app, app-root {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-height: 100%;
}

.app-header {
    -ms-flex: 0 0 55px;
    flex: 0 0 55px;
}

.app-footer {
    -ms-flex: 0 0 50px;
    flex: 0 0 50px;
}

.app-body {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-positive: 1;
    flex-grow: 1;
    overflow-x: hidden;
}

.app-body .main {
    -ms-flex: 1;
    flex: 1;
    min-width: 0;
}

.app-body .sidebar {
    -ms-flex: 0 0 200px;
    flex: 0 0 200px;
    -ms-flex-order: -1;
    order: -1;
}

.app-body .aside-menu {
    -ms-flex: 0 0 250px;
    flex: 0 0 250px;
}

@media (min-width: 992px) {
    .header-fixed .app-header {
        position: fixed;
        width: 100%;
    }
    .header-fixed .app-body {
        margin-top: 45px;
    }
    .sidebar-fixed .sidebar {
        position: fixed;
        height: 100vh;
    }
    .sidebar-fixed .app-header+.app-body .sidebar {
        height: calc(100vh - 45px);
    }
    .sidebar-compact .sidebar {
        -ms-flex: 0 0 150px;
        flex: 0 0 150px;
    }
    .sidebar-compact.sidebar-fixed .sidebar {
        width: 150px;
    }
    .sidebar-compact .sidebar-minimizer {
        display: none;
    }
    .sidebar-minimized .sidebar {
        -ms-flex: 0 0 50px;
        flex: 0 0 50px;
    }
    .sidebar-minimized.sidebar-fixed .sidebar {
        width: 50px;
    }
    .sidebar-off-canvas .sidebar {
        position: fixed;
        z-index: 1019;
        height: 100%;
    }
    .sidebar-off-canvas .app-header+.app-body .sidebar {
        height: calc(100vh - 55px);
    }
    .sidebar-compact .sidebar {
        margin-left: -150px;
    }
    .sidebar-minimized .sidebar {
        margin-left: -50px;
    }
    .aside-menu-fixed .aside-menu {
        position: fixed;
        height: 100%;
    }
    .aside-menu-fixed .aside-menu .tab-content {
        height: calc(100vh - 2.375rem - 55px);
    }
    .aside-menu-fixed .app-header+.app-body .aside-menu {
        height: calc(100vh - 55px);
    }
    .aside-menu-off-canvas .aside-menu {
        position: fixed;
        z-index: 1019;
        height: 100%;
    }
    .aside-menu-off-canvas .app-header+.app-body .aside-menu {
        height: calc(100vh - 55px);
    }
    .aside-menu-fixed .aside-menu, .aside-menu-off-canvas .aside-menu {
        right: 0;
    }
}

.breadcrumb-fixed .main {
    padding-top: 3.875rem;
}

.breadcrumb-fixed .breadcrumb {
    position: fixed;
    top: 55px;
    right: 0;
    left: 0;
    z-index: 1017;
}

@media (max-width: 992px) {
    .sidebar-show .main, .aside-menu-show .main {
        position: relative;
    }
    .sidebar-show .main::before, .aside-menu-show .main::before {
        position: absolute;
        top: 0;
        left: 0;
        z-index: 1018;
        width: 100%;
        height: 100%;
        content: "";
        background: rgba(0, 0, 0, 0.7);
        -webkit-animation: opacity 0.25s;
        animation: opacity 0.25s;
    }
}

@media (min-width: 576px) {
    .sidebar-sm-show .sidebar, .sidebar-show .sidebar {
        margin-left: 0;
    }
    .sidebar-sm-show.sidebar-fixed .main, .sidebar-sm-show.sidebar-fixed .app-footer, .sidebar-show.sidebar-fixed .main, .sidebar-show.sidebar-fixed .app-footer {
        /* margin-left: 200px; */
    }
    .sidebar-sm-show.sidebar-fixed.sidebar-compact .main, .sidebar-sm-show.sidebar-fixed.sidebar-compact .app-footer, .sidebar-show.sidebar-fixed.sidebar-compact .main, .sidebar-show.sidebar-fixed.sidebar-compact .app-footer {
        margin-left: 150px;
    }
    .sidebar-sm-show.sidebar-fixed.sidebar-minimized .main, .sidebar-sm-show.sidebar-fixed.sidebar-minimized .app-footer, .sidebar-show.sidebar-fixed.sidebar-minimized .main, .sidebar-show.sidebar-fixed.sidebar-minimized .app-footer {
        /* margin-left: 200px; */
    }
    .sidebar-sm-show.breadcrumb-fixed .breadcrumb, .sidebar-show.breadcrumb-fixed .breadcrumb {
        left: 200px;
    }
    .sidebar-sm-show.breadcrumb-fixed.sidebar-compact .breadcrumb, .sidebar-show.breadcrumb-fixed.sidebar-compact .breadcrumb {
        left: 150px;
    }
    .sidebar-sm-show.breadcrumb-fixed.sidebar-minimized .breadcrumb, .sidebar-show.breadcrumb-fixed.sidebar-minimized .breadcrumb {
        left: 50px;
    }
    .aside-menu-show .aside-menu, .aside-menu-sm-show .aside-menu {
        margin-right: 0;
    }
    .aside-menu-show.aside-menu-fixed .main, .aside-menu-show.aside-menu-fixed .app-footer, .aside-menu-sm-show.aside-menu-fixed .main, .aside-menu-sm-show.aside-menu-fixed .app-footer {
        margin-right: 250px;
    }
    .aside-menu-show.breadcrumb-fixed .breadcrumb, .aside-menu-sm-show.breadcrumb-fixed .breadcrumb {
        right: 250px;
    }
}

@media (min-width: 992px) {
    .sidebar-md-show .sidebar, .sidebar-show .sidebar {
        margin-left: 0;
    }
    .sidebar-md-show.sidebar-fixed .main, .sidebar-md-show.sidebar-fixed .app-footer, .sidebar-show.sidebar-fixed .main, .sidebar-show.sidebar-fixed .app-footer {
        margin-left: 200px;
    }
    .sidebar-md-show.sidebar-fixed.sidebar-compact .main, .sidebar-md-show.sidebar-fixed.sidebar-compact .app-footer, .sidebar-show.sidebar-fixed.sidebar-compact .main, .sidebar-show.sidebar-fixed.sidebar-compact .app-footer {
        margin-left: 150px;
    }
    .sidebar-md-show.sidebar-fixed.sidebar-minimized .main, .sidebar-md-show.sidebar-fixed.sidebar-minimized .app-footer, .sidebar-show.sidebar-fixed.sidebar-minimized .main, .sidebar-show.sidebar-fixed.sidebar-minimized .app-footer {
        margin-left: 200px;
    }
    .sidebar-md-show.breadcrumb-fixed .breadcrumb, .sidebar-show.breadcrumb-fixed .breadcrumb {
        left: 200px;
    }
    .sidebar-md-show.breadcrumb-fixed.sidebar-compact .breadcrumb, .sidebar-show.breadcrumb-fixed.sidebar-compact .breadcrumb {
        left: 150px;
    }
    .sidebar-md-show.breadcrumb-fixed.sidebar-minimized .breadcrumb, .sidebar-show.breadcrumb-fixed.sidebar-minimized .breadcrumb {
        left: 50px;
    }
    .aside-menu-show .aside-menu, .aside-menu-md-show .aside-menu {
        margin-right: 0;
    }
    .aside-menu-show.aside-menu-fixed .main, .aside-menu-show.aside-menu-fixed .app-footer, .aside-menu-md-show.aside-menu-fixed .main, .aside-menu-md-show.aside-menu-fixed .app-footer {
        margin-right: 250px;
    }
    .aside-menu-show.breadcrumb-fixed .breadcrumb, .aside-menu-md-show.breadcrumb-fixed .breadcrumb {
        right: 250px;
    }
}

@media (min-width: 992px) {
    .sidebar-lg-show .sidebar, .sidebar-show .sidebar {
        margin-left: 0;
    }
    .sidebar-lg-show.sidebar-fixed .main, .sidebar-lg-show.sidebar-fixed .app-footer, .sidebar-show.sidebar-fixed .main, .sidebar-show.sidebar-fixed .app-footer {
        margin-left: var(--menuwidth);
    }
    .sidebar-lg-show.sidebar-fixed.sidebar-compact .main, .sidebar-lg-show.sidebar-fixed.sidebar-compact .app-footer, .sidebar-show.sidebar-fixed.sidebar-compact .main, .sidebar-show.sidebar-fixed.sidebar-compact .app-footer {
        margin-left: 150px;
    }
    .sidebar-lg-show.sidebar-fixed.sidebar-minimized .main, .sidebar-lg-show.sidebar-fixed.sidebar-minimized .app-footer, .sidebar-show.sidebar-fixed.sidebar-minimized .main, .sidebar-show.sidebar-fixed.sidebar-minimized .app-footer {
        margin-left: 50px;
    }
    .sidebar-lg-show.breadcrumb-fixed .breadcrumb, .sidebar-show.breadcrumb-fixed .breadcrumb {
        left: var(--menuwidth);
    }
    .sidebar-lg-show.breadcrumb-fixed.sidebar-compact .breadcrumb, .sidebar-show.breadcrumb-fixed.sidebar-compact .breadcrumb {
        left: 150px;
    }
    .sidebar-lg-show.breadcrumb-fixed.sidebar-minimized .breadcrumb, .sidebar-show.breadcrumb-fixed.sidebar-minimized .breadcrumb {
        left: 50px;
    }
    .aside-menu-show .aside-menu, .aside-menu-lg-show .aside-menu {
        margin-right: 0;
    }
    .aside-menu-show.aside-menu-fixed .main, .aside-menu-show.aside-menu-fixed .app-footer, .aside-menu-lg-show.aside-menu-fixed .main, .aside-menu-lg-show.aside-menu-fixed .app-footer {
        margin-right: 250px;
    }
    .aside-menu-show.breadcrumb-fixed .breadcrumb, .aside-menu-lg-show.breadcrumb-fixed .breadcrumb {
        right: 250px;
    }
}

@media (min-width: 1200px) {
    .sidebar-xl-show .sidebar, .sidebar-show .sidebar {
        margin-left: 0;
    }
    .sidebar-xl-show.sidebar-fixed .main, .sidebar-xl-show.sidebar-fixed .app-footer, .sidebar-show.sidebar-fixed .main, .sidebar-show.sidebar-fixed .app-footer {
        margin-left: 200px;
    }
    .sidebar-xl-show.sidebar-fixed.sidebar-compact .main, .sidebar-xl-show.sidebar-fixed.sidebar-compact .app-footer, .sidebar-show.sidebar-fixed.sidebar-compact .main, .sidebar-show.sidebar-fixed.sidebar-compact .app-footer {
        margin-left: 150px;
    }
    .sidebar-xl-show.sidebar-fixed.sidebar-minimized .main, .sidebar-xl-show.sidebar-fixed.sidebar-minimized .app-footer, .sidebar-show.sidebar-fixed.sidebar-minimized .main, .sidebar-show.sidebar-fixed.sidebar-minimized .app-footer {
        margin-left: 50px;
    }
    .sidebar-xl-show.breadcrumb-fixed .breadcrumb, .sidebar-show.breadcrumb-fixed .breadcrumb {
        left: 200px;
    }
    .sidebar-xl-show.breadcrumb-fixed.sidebar-compact .breadcrumb, .sidebar-show.breadcrumb-fixed.sidebar-compact .breadcrumb {
        left: 150px;
    }
    .sidebar-xl-show.breadcrumb-fixed.sidebar-minimized .breadcrumb, .sidebar-show.breadcrumb-fixed.sidebar-minimized .breadcrumb {
        left: 50px;
    }
    .aside-menu-show .aside-menu, .aside-menu-xl-show .aside-menu {
        margin-right: 0;
    }
    .aside-menu-show.aside-menu-fixed .main, .aside-menu-show.aside-menu-fixed .app-footer, .aside-menu-xl-show.aside-menu-fixed .main, .aside-menu-xl-show.aside-menu-fixed .app-footer {
        margin-right: 250px;
    }
    .aside-menu-show.breadcrumb-fixed .breadcrumb, .aside-menu-xl-show.breadcrumb-fixed .breadcrumb {
        right: 250px;
    }
}

.footer-fixed .app-footer {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1020;
    height: 50px;
}

.footer-fixed .app-body {
    margin-bottom: 50px;
}

.app-header, .app-footer, .sidebar, .main, .aside-menu {
    transition: margin-left 0.25s, margin-right 0.25s, width 0.25s, flex 0.25s;
    transition: margin-left 0.25s, margin-right 0.25s, width 0.25s, flex 0.25s, -ms-flex 0.25s;
}

.sidebar-nav {
    transition: width 0.25s;
}

.breadcrumb {
    transition: left 0.25s, right 0.25s, width 0.25s;
}

@media (max-width: 992px) {
    .app-header {
        position: fixed;
        width: 100%;
        text-align: center;
        background-color: #fff;
    }
    .app-header .navbar-toggler {
        color: #fff;
    }
    .app-header .navbar-brand {
        width: unset;
    }
    .app-body {
        margin-top: 45px;
    }
    .sidebar {
        position: fixed;
        z-index: 1019;
        height: calc(100vh - 45px);
    }
    .sidebar-minimizer {
        display: none;
    }
    .aside-menu {
        position: fixed;
        height: 100%;
    }
}

hr.transparent {
    border-top: 1px solid transparent;
}

body {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
}

.custom-scroll {
    position: relative;
}

.div-footer {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    -webkit-box-align: center;
    align-items: center;
    padding: 0 1rem;
    color: #23282c;
    background: #f0f3f5;
    border-top: 1px solid #c8ced3;
    height: 40px;
    position: fixed;
    bottom: 0;
}

a {
    cursor: pointer;
}

main {
    position: relative;
    height: calc(100% - 40px);
}

[disabled] {
    cursor: not-allowed;
}

/* vikas modal css */

.modal-header {
    height: 40px;
    padding: 8px 1rem;
    cursor: default;
}

.modal-content {
    border-radius: 0;
}

.vikas-modal .modal-header {
    height: 40px;
    padding-top: 5px;
    color: white;
    cursor: default;
    border-radius: 0;
}

.modal-title {
    line-height: 1!important;
}

.close {
    font-size: xx-large!important;
    margin-top: -10px!important;
    margin-right: -12px!important;
    padding: 0!important;
}

.no-outline:focus {
    outline: none!important;
}

.btn-success {
    background-color: #28a745;
    opacity: 0.9;
}

.btn-success:hover {
    background-color: #28a745;
    opacity: 1;
}

.btn-danger {
    background-color: #dc3545;
    opacity: 0.9;
}

.btn-danger:hover {
    background-color: #dc3545;
    opacity: 1;
}

#main-content {
    min-height: 100%;
}

header.app-header.navbar, .sidebar {
    background-color: #f0f3f5;
}

.sidebar .nav-link.active {
    color: #0604ff;
    background: #b4c1cc;
}

.sidebar .nav-link:hover {
    background: #0604ff;
    color: #fff;
}

.sidebar .nav-link {
    padding: .5rem 1rem;
    font-weight: 500;
    color: #0604ff;
}

.sidebar {
    border-right: 1px solid #c8ced3;
}

.sidebar li {
    border-bottom: 1px solid #c8ced3;
}

.fa-2x {
    font-weight: bolder!important;
}

@media (min-width: 992px) {
    .sidebar-minimized .sidebar .sidebar-minimizer i::before {
        content: "\f105"!important;
    }
}

.row {
    margin: 0;
}

.sidebar {
    margin-left: -250px;
}

.aside-menu {
    right: 0;
    margin-right: -250px;
}

.sidebar-show .sidebar, .sidebar-show .sidebar {
    margin-left: 0;
}

.aside-menu-show .aside-menu, .aside-menu-show .aside-menu {
    margin-right: 0;
}

@media only screen and (max-width: 992px) {
    .sidebar-minimizer, .d-md-down-none {
        display: none!important;
    }
}

.nav-item.nav-dropdown .nav-dropdown-items a.nav-link {
    padding-left: 30px;
}

.nav-item.nav-dropdown .nav-dropdown-items a.nav-link.active {
    background: rgba(0, 0, 0, 0.15);
}

.nav-item.nav-dropdown .nav-dropdown-items a.nav-link:hover {
    background-color: rgba(0, 0, 0, 0.08);
}

.vikas-modal .modal-content {
    border-radius: 5px;
}

.vikas-modal .modal-footer {
    height: 50px;
    padding: 0;
    margin-top: 0px;
}

.vikas-modal .close.closeModal {
    color: #fff;
    opacity: 1;
}

.btn-success {
    background-color: rgb(30, 222, 10);
    border-color: rgb(30, 222, 10);
    opacity: 0.9;
}

.btn-success:hover {
    background-color: rgb(30, 222, 10);
    border-color: rgb(30, 222, 10);
    opacity: 1;
}

.os-padding {
    z-index: auto!important;
}

.app-header .dropdown-toggle::after {
    border: none!important;
}

.navbar .nav>li>.dropdown-menu:before {
    content: '';
    display: inline-block;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-bottom: 7px solid #ccc;
    border-bottom-color: #fff;
    position: absolute;
    top: -7px;
    right: 9px;
}

.btn-primary {
    background-color: #0604ff;
    opacity: .9;
}

.btn-primary:hover {
    background-color: #0604ff;
    opacity: 1;
}

.input-group.has-icon input {
    padding-right: 1.8rem;
}

.input-group.has-icon .input-group-text {
    z-index: 9;
    background: #fff;
    padding: 0px 5px;
    margin-left: -2rem!important;
    cursor: pointer;
}

.modal-dialog {
    margin: 3rem auto;
}

.navbar-toggler:focus {
    outline: none;
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    margin-bottom: .4rem;
}

@media only screen and (max-height: 500px) {
    app-bread-crumb {
        display: none;
    }
    .intent-custom-scroll {
        height: calc(100vh - 50px)!important;
    }
    .intent-container {
        height: calc(100vh - 105px)!important;
    }
    main {
        height: 100%!important;
    }
    .div-footer {
        z-index: 1018;
    }
    .hide-footer {
        display: none;
    }
}


@media only screen and (max-width: 576px) {
    .query-response-container {
       padding: 0 10px;
       margin: 0 10px;
    }
    ul.intent-container{
        height: unset!important;
    }
    .intent-search-container{
        margin-bottom: 10px;
    }
    .query-response-container{
        height: auto!important;
    }
}
.dropdown:hover>.dropdown-menu {
  display: block;
}

.table-condensed th, .table-condensed td {
padding: .3rem;
}

.chart-outer {
    max-width: 800px;
    margin: 2em auto;
  }
  
  #container {
    height: 300px;
    margin-top: 2em;
    min-width: 380px;
  }
  
  .highcharts-data-table table {
    border-collapse: collapse;
    border-spacing: 0;
    background: white;
    min-width: 100%;
    margin-top: 10px;
    font-family: sans-serif;
    font-size: 0.9em;
  }
  
  .highcharts-data-table td,
  .highcharts-data-table th,
  .highcharts-data-table caption {
    border: 1px solid silver;
    padding: 0.5em;
  }
  
  .highcharts-data-table tr:nth-child(even),
  .highcharts-data-table thead tr {
    background: #f8f8f8;
  }
  
  .highcharts-data-table tr:hover {
    background: #eff;
  }
  
  .highcharts-data-table caption {
    border-bottom: none;
    font-size: 1.1em;
    font-weight: bold;
  }
  table caption {
    text-align: center;
    caption-side: unset;
}
  
.highcharts-background:focus,.highcharts-root:focus,.highcharts-container:focus{
    outline: none;
}




